#!/usr/bin/perl -w

# Depot.pl -- author: Oliver Bossert
# Copyright (C) 2003 Oliver Bossert
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

use strict;

use Depot::Conf;
use Depot::ReadConfig;
use Depot::Process;
use Depot::Layout;

use CGI qw/:standard/;
use CGI::Carp qw(fatalsToBrowser);

# Read program parameters
my $file = "/usr/local/httpd/cgi-bin/DepotXML/config";
Depot::Conf::load( $file );

# Read data from files
my $config = Depot::ReadConfig->new();
$config->get();

# Create a new query
my $query = CGI::new();

# Process this query
my $process = Depot::Process->new ();
$config = $process->process( $config, $query );

# Print page
my $layout = Depot::Layout->new( $config );
print $layout->print_site( $query );

# Write data to file
$config->set();
